commit:     3f89cb507efa8acfcfdec5b90ba17aca85bbdd44
Author:     Dongsu Park <dongsu <AT> kinvolk <DOT> io>
AuthorDate: Fri Dec  4 09:30:37 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Dec  6 22:45:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f89cb50

app-editors/vim: do not create symlink vimdiff for minimal.

A symlink `vimdiff` should not be created, if the USE flag `minimal` is
enabled. Otherwise running `vimdiff` results in failure like that:

$ vimdiff aaa bbb
This Vim was not compiled with the diff feature.

Signed-off-by: Dongsu Park <dongsu <AT> kinvolk.io>
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/18496

 app-editors/vim/vim-8.2.0360.ebuild | 4 +++-
 app-editors/vim/vim-8.2.0508.ebuild | 4 +++-
 app-editors/vim/vim-8.2.0638.ebuild | 4 +++-
 app-editors/vim/vim-8.2.0814.ebuild | 4 +++-
 app-editors/vim/vim-9999.ebuild     | 4 +++-
 5 files changed, 15 insertions(+), 5 deletions(-)

diff --git a/app-editors/vim/vim-8.2.0360.ebuild 
b/app-editors/vim/vim-8.2.0360.ebuild
index d80d7777de3..8a757434c46 100644
--- a/app-editors/vim/vim-8.2.0360.ebuild
+++ b/app-editors/vim/vim-8.2.0360.ebuild
@@ -276,7 +276,9 @@ src_install() {
        # Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
        #       managed by eselect-vi
        dobin src/vim
-       dosym vim /usr/bin/vimdiff
+       if ! use minimal ; then
+               dosym vim /usr/bin/vimdiff
+       fi
        dosym vim /usr/bin/rvim
        dosym vim /usr/bin/rview
        if use vim-pager ; then

diff --git a/app-editors/vim/vim-8.2.0508.ebuild 
b/app-editors/vim/vim-8.2.0508.ebuild
index 5bc04c0d2b0..37285363833 100644
--- a/app-editors/vim/vim-8.2.0508.ebuild
+++ b/app-editors/vim/vim-8.2.0508.ebuild
@@ -276,7 +276,9 @@ src_install() {
        # Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
        #       managed by eselect-vi
        dobin src/vim
-       dosym vim /usr/bin/vimdiff
+       if ! use minimal ; then
+               dosym vim /usr/bin/vimdiff
+       fi
        dosym vim /usr/bin/rvim
        dosym vim /usr/bin/rview
        if use vim-pager ; then

diff --git a/app-editors/vim/vim-8.2.0638.ebuild 
b/app-editors/vim/vim-8.2.0638.ebuild
index 5bc04c0d2b0..37285363833 100644
--- a/app-editors/vim/vim-8.2.0638.ebuild
+++ b/app-editors/vim/vim-8.2.0638.ebuild
@@ -276,7 +276,9 @@ src_install() {
        # Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
        #       managed by eselect-vi
        dobin src/vim
-       dosym vim /usr/bin/vimdiff
+       if ! use minimal ; then
+               dosym vim /usr/bin/vimdiff
+       fi
        dosym vim /usr/bin/rvim
        dosym vim /usr/bin/rview
        if use vim-pager ; then

diff --git a/app-editors/vim/vim-8.2.0814.ebuild 
b/app-editors/vim/vim-8.2.0814.ebuild
index 7becfb7071c..946d309a7f6 100644
--- a/app-editors/vim/vim-8.2.0814.ebuild
+++ b/app-editors/vim/vim-8.2.0814.ebuild
@@ -276,7 +276,9 @@ src_install() {
        # Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
        #       managed by eselect-vi
        dobin src/vim
-       dosym vim /usr/bin/vimdiff
+       if ! use minimal ; then
+               dosym vim /usr/bin/vimdiff
+       fi
        dosym vim /usr/bin/rvim
        dosym vim /usr/bin/rview
        if use vim-pager ; then

diff --git a/app-editors/vim/vim-9999.ebuild b/app-editors/vim/vim-9999.ebuild
index 5bc04c0d2b0..37285363833 100644
--- a/app-editors/vim/vim-9999.ebuild
+++ b/app-editors/vim/vim-9999.ebuild
@@ -276,7 +276,9 @@ src_install() {
        # Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
        #       managed by eselect-vi
        dobin src/vim
-       dosym vim /usr/bin/vimdiff
+       if ! use minimal ; then
+               dosym vim /usr/bin/vimdiff
+       fi
        dosym vim /usr/bin/rvim
        dosym vim /usr/bin/rview
        if use vim-pager ; then

Reply via email to